android ヘッダー カスタマイズ




':app @ debug/compileClasspath'の依存関係を解決できませんでした:解決できませんでした (6)

  1. "File" - > "Invalidate Caches / Restart ..."を試してください。
  2. プロジェクトのルートディレクトリの.gradle.ideaディレクトリをクリーンアップしてください。
  3. Google Mavenリポジトリを追加してプロジェクトを同期しようとする

    buildscript {
        repositories {
            jcenter()
            google()
            maven {
               url "https://maven.google.com"
            }
        }
    
        dependencies {
            classpath 'com.android.tools.build:gradle:3.1.3'
        }
    }
    
    allprojects {
        repositories {
            google()
            jcenter()
            maven {
               url "https://maven.google.com"
            }
        }
    }
  4. Android Gradle Plugin 3.1.3を使用している場合、あなたのgradleラッパーのバージョンが4.4であることを確認する必要があります。 プロジェクトのルートディレクトリの下に、 gradle-wrapper.propertiesを見つけ、以下のように変更します。

    distributionBase=GRADLE_USER_HOME
    distributionPath=wrapper/dists
    zipStoreBase=GRADLE_USER_HOME
    zipStorePath=wrapper/dists
    distributionUrl=https\://services.gradle.org/distributions/gradle-4.4-all.zip

新しくインストールされたAndroidスタジオ3.1.3は、新しいプロジェクトを作成して初めてコンパイルするときに奇妙な依存関係のエラーを出しています。

この問題を解決するのに役立たなかった同様のquestion

イベントログ:

Unable to resolve dependency for ':[email protected]/compileClasspath': Could not resolve com.android.support:appcompat-v7:28.0.0-alpha3.
Open File
Show Details


Unable to resolve dependency for ':[email protected]/compileClasspath': Could not resolve com.android.support.constraint:constraint-layout:1.1.2.
Open File
Show Details


Unable to resolve dependency for ':[email protected]/compileClasspath': Could not resolve com.android.support:appcompat-v7:28.0.0-alpha3.
Open File
Show Details


Unable to resolve dependency for ':[email protected]/compileClasspath': Could not resolve com.android.support.constraint:constraint-layout:1.1.2.
Open File
Show Details


Unable to resolve dependency for ':[email protected]/compileClasspath': Could not resolve com.android.support:appcompat-v7:28.0.0-alpha3.
Open File
Show Details


Unable to resolve dependency for ':[email protected]/compileClasspath': Could not resolve com.android.support.constraint:constraint-layout:1.1.2.
Open File
Show Details


Unable to resolve dependency for ':[email protected]/compileClasspath': Could not resolve com.android.support:appcompat-v7:28.0.0-alpha3.
Open File
Show Details


Unable to resolve dependency for ':[email protected]/compileClasspath': Could not resolve com.android.support.constraint:constraint-layout:1.1.2.
Open File
Show Details


Unable to resolve dependency for ':[email protected]/compileClasspath': Could not resolve com.android.support:appcompat-v7:28.0.0-alpha3.
Open File
Show Details


Unable to resolve dependency for ':[email protected]/compileClasspath': Could not resolve com.android.support.constraint:constraint-layout:1.1.2.
Open File
Show Details

スクリーンショット:

この問題は何度か私に起こり、httpsやhttp強制的に解決しなかった


これは、両方を使用している場合

'com.android.support:appcompat-v7:28.0.0-alpha3'
'com.android.support:support-v4:28.0.0-alpha3'

行を削除する

implementation 'com.android.support:support-v4:28.0.0-alpha3' 

あなたのbuild.gradleファイルから再度試してみてください。


私の場合:セットアップ時に、私のウィンドウはプロキシで構成されていました。 後で、私はプロキシを切断し、AS設定でプロキシを無効にします。ただし、ファイル.gradle \ gradle.properties - proxy-present

テキストエディタで、このファイルのプロキシ設定をクリアするだけです


私はあなたの問題を抱えていた。 このエラーは、ターゲットのAPIレベルが完全にダウンロードされていない場合に発生します。 あなたは2つの方法があります:あなたのSDKメニューに行き、アンドロイド9のすべてのコンポーネントをダウンロードするか、より良い方法はbuild.gradle(モジュールアプリ)に行き、これを次のように変更します: これらの変更を適用する前に、 api lvl 8を完全にダウンロードしました


私は同様の問題があったのでこの答えを共有しているだけです。

私は誤ってfileTree変更したため、結局エラーが発生しfileTree 。 私の場合、私は次のように変更しました。

// implementation or compile
implementation fileTree(include: ['*.jar'])

// implementation or compile
implementation fileTree(include: ['*.jar'], dir: 'libs')

私は問題の根本原因を見つけることができませんでしたが、回避策がありました。 私は自分のjavaホーム変数をそのように設定することから始めました。

  • vi ~/.bash_profile (これはMacのみで、bashプロファイルはLinux上では異なります)
  • 挿入する文字iを入力し、JAVA_HOME変数をそのように設定します
  • export JAVA_HOME=/Applications/Android\Studio.app/Contents/jre/jdk/Contents/Home/
  • viエディタをesc終了し、次のように入力し:wq
  • コンピュータを再起動する
  • Voila! あなたのアンドロイドスタジオのプロジェクトは、心配することなく構築する必要があります






android-studio-3.0